<?php
/**
 * Plugin Name: Discount Feed WooCommerce
 * Plugin URI:  https://wordpress.org/plugins/discount-feed-woocommerce/
 * Description: Create a discount feed for WooCommerce.
 * Version:     1.05
 * Author:      Katsushi Kawamori
 * Author URI:  https://riverforest-wp.info/
 * License:     GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: discount-feed-woocommerce
 * Domain Path: /languages
 *
 * @package Discount Feed WooCommerce
 */

/*
	Copyright (c) 2018- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

add_action( 'plugins_loaded', 'discount_feed_woocommerce_load_textdomain' );
/** ==================================================
 * i18n
 *
 * @since 1.00
 */
function discount_feed_woocommerce_load_textdomain() {
	load_plugin_textdomain( 'discount-feed-woocommerce' );
}

if ( ! class_exists( 'DiscountFeedWooCommerceRegist' ) ) {
	require_once( dirname( __FILE__ ) . '/lib/class-discountfeedwoocommerceregist.php' );
}
if ( ! class_exists( 'DiscountFeedWooCommerceAdmin' ) ) {
	require_once( dirname( __FILE__ ) . '/lib/class-discountfeedwoocommerceadmin.php' );
}
if ( ! class_exists( 'DiscountFeedWooCommerceWidgetItem' ) ) {
	require_once( dirname( __FILE__ ) . '/lib/class-discountfeedwoocommercewidgetitem.php' );
}
if ( ! class_exists( 'DiscountFeedWooCommerce' ) ) {
	require_once( dirname( __FILE__ ) . '/lib/class-discountfeedwoocommerce.php' );
}


